Bug 758679 - [abrt] youtube-dl-2011.10.19-1.fc15: youtube-dl:727:process_info:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128)
Summary: [abrt] youtube-dl-2011.10.19-1.fc15: youtube-dl:727:process_info:UnicodeDecod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:53beb3108cc29913c0cba81ae25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-30 12:37 UTC by abdulkarimmemon
Modified: 2011-12-30 22:57 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2011.12.08-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-16 19:58:36 UTC
Type: ---


Attachments (Terms of Use)

Description abdulkarimmemon 2011-11-30 12:37:51 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
component:      youtube-dl
executable:     /usr/bin/youtube-dl
kernel:         2.6.41.1-1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        youtube-dl-2011.10.19-1.fc15
reason:         youtube-dl:727:process_info:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128)
time:           Wed Nov 30 17:30:38 2011
uid:            500
username:       abdulkarim

backtrace:
:youtube-dl:727:process_info:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/youtube-dl", line 4047, in <module>
:    main()
:  File "/usr/bin/youtube-dl", line 4033, in main
:    retcode = fd.download(all_urls)
:  File "/usr/bin/youtube-dl", line 812, in download
:    ie.extract(url)
:  File "/usr/bin/youtube-dl", line 1070, in extract
:    return self._real_extract(url)
:  File "/usr/bin/youtube-dl", line 2629, in _real_extract
:    self._youtube_ie.extract('http://www.youtube.com/watch?v=%s' % video_id)
:  File "/usr/bin/youtube-dl", line 1070, in extract
:    return self._real_extract(url)
:  File "/usr/bin/youtube-dl", line 1398, in _real_extract
:    'player_url':	player_url,
:  File "/usr/bin/youtube-dl", line 727, in process_info
:    self.to_screen(u'[download] "%s" title did not match pattern "%s"' % (title, matchtitle))
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128)
:
:Local variables in innermost frame:
:title: 'J\xc3\xbcrgen Schmidhuber at AGI-2011: Fast Deep%Recurrent Nets for AGI Vision'
:self: <__main__.FileDownloader object at 0x1ae89d0>
:filename: u'J_rgen_Schmidhuber_at_AGI_2011_Fast_Deep_Recurrent_Nets_for_AGI_Vision-rkCNbi26Hds.mp4'
:matchtitle: 'python'
:info_dict: {'upload_date': '20111017', 'description': u"The Fourth Conference on Artificial General IntelligenceMountain View, California, USAAugust 3-6, 2011J\xfcrgen Schmidhuber's short talk on fast deep neural networks at AGI 2011 at Google Headquarters, CA.Co-authors: Dan Ciresan, Ueli Meier, Jonathan Masci, Alex Graves.The deep / recurrent neural networks of Schmidhuber's team keep winning important visual pattern recognition competitions, and are starting to achieve human-competitive results:9. August 2011: IJCNN 2011 on-site Traffic Sign Recognition Competition (0.56% error rate, nearly three times better than 2nd best algorithm - the only method outperforming humans)8. June 2011: ICDAR 2011 offline Chinese Handwriting Recognition Competition (1st & 2nd rank)7. MNIST Handwritten Digit Recognition Benchmark (perhaps the most famous machine learning benchmark). New record (0.35% error rate) in 2010, improved to 0.31% in March 2011, then 0.27% for ICDAR 20116. NORB Object Recognition Benchmark. New record (2.53% error rate) in 20115. CIFAR-10 Object Recognition Benchmark. New records in 2011, now down to 12% error rate4. January 2011: Online German Traffic Sign Recognition Contest (1st & 2nd rank; 1.02% error rate)3. ICDAR 2009 Arabic Connected Handwriting Competition, like the others below won by LSTM recurrent nets (deep by nature).2. ICDAR 2009 Handwritten Farsi/Arabic Character Recognition Competition1. ICDAR 2009 French Connected Handwriting Competition based on data from the RIMES campaignOverview sites with more information and scientific papers:Computer vision with fast deep / recurrent neural networks: http://www.idsia.ch/~juergen/vision.htmlHandwriting recognition with fast deep / recurrent neural nets: http://www.idsia.ch/~juergen/handwriting.htmlFormal Theory of Fun & Creativity & Intrinsic Motivation http://www.idsia.ch/~juergen/creativity.htmlArtificial curiosity -  how to build artificial scientists and artists: http://www.idsia.ch/~juergen/interest.htmlOptimal Universal Artificial Intelligence: http://www.idsia.ch/~juergen/unilearn.htmlSelf-referential G\xf6del Machines as universal problem solvers: http://www.idsia.ch/~juergen/goedelmachine.htmlArtificial Evolution: http://www.idsia.ch/~juergen/evolution.htmlUnsupervised Learning: http://www.idsia.ch/~juergen/ica.htmlHierarchical Learning: http://www.idsia.ch/~juergen/subgoals.htmlReinforcement Learning: http://www.idsia.ch/~juergen/rl.htmlRobot Learning: http://www.idsia.ch/~juergen/learningrobots.htmlSource code of machine learning algorithms at Pybrain: http://pybrain.org/Home page: http://www.idsia.ch/~juergen/What's new: http://www.idsia.ch/~juergen/whatsnew.html", 'format': u'22', 'uploader': u'GoogleTechTalks', 'id': u'rkCNbi26Hds', 'stitle': u'J_rgen_Schmidhuber_at_AGI_2011_Fast_Deep_Recurrent_Nets_for_AGI_Vision', 'title': u'J\xfcrgen Schmidhuber at AGI-2011: Fast Deep%Recurrent Nets for AGI Vision', 'url': u'http://o-o.preferred.hkg05s01.v16.lscache7.c.youtube.com/videoplayback?sparams=id%2Cexpire%2Cip%2Cipbits%2Citag%2Csource%2Cratebypass%2Ccp&fexp=906717%2C908525%2C904442&itag=22&ip=123.0.0.0&signature=346D5C852C2E8F3B4281F5DFE49C585F59663E0A.659736A145FB108A785A50B9BE07CD9EAA9481A6&sver=3&ratebypass=yes&source=youtube&expire=1322679600&key=yt1&ipbits=8&cp=U0hRR1ZSV19FSkNOMV9OTEFHOk9FdkhrWHIyNzQ4&id=ae408d6e2dba1ddb', 'player_url': None, 'ext': u'mp4', 'thumbnail': u'http://i3.ytimg.com/vi/rkCNbi26Hds/default.jpg'}
:rejecttitle: None

comment:
:it occurs when i try to use --match-title
:
:youtube-dl --match-title python "http://www.youtube.com/user/GoogleTechTalks"
:
:this was the exact command that caused the crash again and again
:
:i also tried changing the keyword to django still it crashed.
:
:http://paste.debian.net/147565/ (full error log with 'django' as a keyword to --match-title)
:http://paste.debian.net/147566/ (full error log with 'python' as a keyword to --match-title)
:
:one more fact that i observed that youtube-dl crashes at a point when it has finished scraping the video titled "Haskell Amuse-Bouche"
:
:[download] "Haskell Amuse-Bouche" title did not match pattern "python"
:[youtube] rkCNbi26Hds: Downloading video webpage
:[youtube] rkCNbi26Hds: Downloading video info webpage
:[youtube] rkCNbi26Hds: Extracting video information
:Traceback (most recent call last):
:  File "/usr/bin/youtube-dl", line 4047, in <module>
:    main()
:
:NOTE:youtube-dl works perfectly fine if i don't use the --match-title 
:
:abdulkarim@techman ~ $ youtube-dl -f 44  "http://www.youtube.com/user/GoogleTechTalks"
:[download] Destination: The_Pleasure_Revolution_Why_Games_Will_Lead_the_Way_Jesse_Schell-4PkUgCiHuH8.webm
:[download]   0.5% of 192.24M at   106.01k/s ETA --:-- 
:
:i am not a regular bug-reporter so please forgive me if this report is full of crap info that isn't required at all, and if thats the case
:do leave some tips so that it won't happen again :)

Comment 1 abdulkarimmemon 2011-11-30 14:09:38 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
this bug does not reproduce after an update (sudo youtube-dl -U)

Comment 2 abdulkarimmemon 2011-11-30 14:51:41 UTC
this problem has been solved in "2011.11.23" version. (after 'sudo youtube-dl -U')

Comment 3 abdulkarimmemon 2011-11-30 14:51:41 UTC
Deleted Technical Notes Contents.

Old Contents:
this bug does not reproduce after an update (sudo youtube-dl -U)

Comment 4 Fedora Update System 2011-12-11 11:49:54 UTC
youtube-dl-2011.12.08-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc15

Comment 5 Fedora Update System 2011-12-11 11:50:28 UTC
youtube-dl-2011.12.08-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/youtube-dl-2011.12.08-1.fc16

Comment 6 Fedora Update System 2011-12-11 21:48:29 UTC
Package youtube-dl-2011.12.08-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2011.12.08-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16958/youtube-dl-2011.12.08-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-16 19:58:36 UTC
youtube-dl-2011.12.08-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-12-30 22:57:29 UTC
youtube-dl-2011.12.08-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.